BSON_VECTOR_PACKED_BIT_VIEW_PADDING(3)

Returns the number of unused bits in a Vector referenced by a bson_vector_packed_bit_view_t <>.

SYNOPSIS

            size_t
            bson_vector_packed_bit_view_padding (bson_vector_packed_bit_view_t view);

PARAMETERS

    •   view: A valid bson_vector_packed_bit_view_t <>.

DESCRIPTION

The 3-bit padding field is extracted from a copy of the Vector header inside view.

RETURNS

The number of unused bits in the final packed byte. Guaranteed to be between 0 and 7 inclusive. Vector validation guarantees that empty Vectors have a padding of 0.

See also:
        bson_vector_packed_bit_const_view_padding() <>

Author
MongoDB, Inc

Copyright
2009-present, MongoDB, Inc.